Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockRenderRequest

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletRequest
          org.springframework.mock.web.portlet.MockRenderRequest

All Implemented Interfaces:
  javax.portlet.PortletRequest, javax.portlet.RenderRequest

    public class MockRenderRequest

extends MockPortletRequest
implements javax.portlet.RenderRequest

Mock implementation of the `RenderRequest` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Field Summary

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Constructor Summary
`MockRenderRequest()` Create a new MockRenderRequest with a default `MockPortalContext` and a default `MockPortletContext`.
`MockRenderRequest(javax.portlet.PortalContext portalContext, javax.portlet.PortletContext portletContext)` Create a new MockRenderRequest.
`MockRenderRequest(javax.portlet.PortletContext portletContext)` Create a new MockRenderRequest with a default `MockPortalContext`.
`MockRenderRequest(javax.portlet.PortletMode portletMode)` Create a new MockRenderRequest with a default `MockPortalContext` and a default `MockPortletContext`.

Method Summary

Methods inherited from class org.springframework.mock.web.portlet.MockPortletRequest
`addLocale, addParameter, addParameter, addPreferredLocale, addPreferredResponseContentType, addProperty, addResponseContentType, addUserRole, checkActive, close, getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isActive, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute, setAuthType, setContextPath, setParameter, setParameter, setParameters, setPortletMode, setPreferences, setProperty, setRemoteUser, setRequestedSessionIdValid, setScheme, setSecure, setServerName, setServerPort, setSession, setUserPrincipal, setWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### MockRenderRequest

    public MockRenderRequest()

  Create a new MockRenderRequest with a default `MockPortalContext` and a default `MockPortletContext`.

  See Also:
    `MockPortalContext`, `MockPortletContext`

### MockRenderRequest

    public MockRenderRequest(javax.portlet.PortletMode portletMode)

  Create a new MockRenderRequest with a default `MockPortalContext` and a default `MockPortletContext`.

  Parameters:
    `portletMode` - the mode that the portlet runs in

### MockRenderRequest

    public MockRenderRequest(javax.portlet.PortletContext portletContext)

  Create a new MockRenderRequest with a default `MockPortalContext`.

  Parameters:
    `portletContext` - the PortletContext that the request runs in

### MockRenderRequest

    public MockRenderRequest(javax.portlet.PortalContext portalContext,
                             javax.portlet.PortletContext portletContext)

  Create a new MockRenderRequest.

  Parameters:
    `portalContext` - the PortletContext that the request runs in
    `portletContext` - the PortletContext that the request runs in

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.